> ## Documentation Index
> Fetch the complete documentation index at: https://developers.scrunch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Brand

> Create a new brand



## OpenAPI

````yaml /api-reference/openapi.json post /brands
openapi: 3.1.0
info:
  title: Scrunch Data API
  version: 0.1.0
servers:
  - url: https://api.scrunchai.com/v1
security: []
paths:
  /brands:
    post:
      summary: Create Brand
      description: Create a new brand
      operationId: createBrand
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/APICreateBrandInput'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APICreateBrandResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer:
            - create-brand
components:
  schemas:
    APICreateBrandInput:
      properties:
        name:
          type: string
          title: Name
        alternative_names:
          items:
            type: string
          type: array
          title: Alternative Names
          default: []
        website:
          type: string
          title: Website
        alternative_websites:
          items:
            type: string
          type: array
          title: Alternative Websites
          default: []
        description:
          type: string
          title: Description
        competitors:
          items:
            $ref: '#/components/schemas/APICompetitorInput'
          type: array
          title: Competitors
          default: []
        personas:
          items:
            $ref: '#/components/schemas/APIPersonaInput'
          type: array
          title: Personas
          default: []
        key_topics:
          items:
            type: string
          type: array
          title: Key Topics
          default: []
        status:
          type: string
          enum:
            - lead
            - prospect
            - customer
          title: Status
          default: customer
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: false
          description: >-
            When true, the brand name and alternative_names are matched against
            AI responses with exact case. Defaults to case-insensitive matching.
      type: object
      required:
        - name
        - website
        - description
      title: APICreateBrandInput
    APICreateBrandResponse:
      properties:
        id:
          type: integer
          title: Id
      type: object
      required:
        - id
      title: APICreateBrandResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    APICompetitorInput:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
        alternative_names:
          items:
            type: string
          type: array
          title: Alternative Names
          default: []
        websites:
          items:
            type: string
            maxLength: 2083
            minLength: 1
            format: uri
          type: array
          title: Websites
          default: []
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: false
          description: >-
            When true, name and alternative_names are matched against AI
            responses with exact case. Defaults to case-insensitive matching.
      type: object
      required:
        - name
      title: APICompetitorInput
    APIPersonaInput:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
      type: object
      required:
        - name
        - description
      title: APIPersonaInput
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````